Bug 835890 - [abrt] gedit-3.4.2-1.fc17: g_logv: Process /usr/bin/gedit was killed by signal 5 (SIGTRAP)
[abrt] gedit-3.4.2-1.fc17: g_logv: Process /usr/bin/gedit was killed by signa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:5a823478054fdc6c22954649429...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 09:02 EDT by Martin Abrahamsson
Modified: 2013-08-01 06:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:16:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (13.09 KB, text/plain)
2012-06-27 09:02 EDT, Martin Abrahamsson
no flags Details
File: build_ids (4.52 KB, text/plain)
2012-06-27 09:02 EDT, Martin Abrahamsson
no flags Details
File: maps (57.82 KB, text/plain)
2012-06-27 09:02 EDT, Martin Abrahamsson
no flags Details
File: backtrace (50.02 KB, text/plain)
2012-06-27 09:02 EDT, Martin Abrahamsson
no flags Details

  None (edit)
Description Martin Abrahamsson 2012-06-27 09:02:35 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gedit
crash_function: g_logv
executable:     /usr/bin/gedit
kernel:         3.4.0-1.fc17.x86_64
pid:            31489
pwd:            /home/martin
time:           Wed 20 Jun 2012 03:37:45 PM CEST
uid:            1000
username:       martin

backtrace:      Text file, 51225 bytes
build_ids:      Text file, 4633 bytes
dso_list:       Text file, 13407 bytes
maps:           Text file, 59210 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/martin/4

core_backtrace:
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4e851 g_logv libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4e9e2 g_log libglib-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xa8c0f - libgio-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x148fc - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x15d71 g_object_newv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x16560 g_object_new_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x16894 g_object_new libgobject-2.0.so.0 -
:9d5c07932edbb8a1e122afb3f368c30f8acd4eda 0x2ac2 - libdrawspaces.so -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2fa06 g_type_create_instance libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x147a8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x15d71 g_object_newv libgobject-2.0.so.0 -
:75752da7b5f30bdb8c3241f27d3fa22a35364fbe 0xcd73 - libpeas-1.0.so.0 -
:75752da7b5f30bdb8c3241f27d3fa22a35364fbe 0xee32 - libpeas-1.0.so.0 -
:75752da7b5f30bdb8c3241f27d3fa22a35364fbe 0x868e peas_engine_create_extensionv libpeas-1.0.so.0 -
:75752da7b5f30bdb8c3241f27d3fa22a35364fbe 0x9d49 - libpeas-1.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x208ce - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:75752da7b5f30bdb8c3241f27d3fa22a35364fbe 0x7e99 peas_engine_load_plugin libpeas-1.0.so.0 -
:81b3fb6be6f4b0769c050cb69a1e587bd5fd4c06 0x88f6 peas_gtk_plugin_manager_store_set_enabled libpeas-gtk-1.0.so.0 -
:81b3fb6be6f4b0769c050cb69a1e587bd5fd4c06 0x9477 - libpeas-gtk-1.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x124a7 g_cclosure_marshal_VOID__STRINGv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0xda651 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0xc7879 gtk_cell_area_activate_cell libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0xc7ccd - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x28af33 - libgtk-3.so.0 -
:81b3fb6be6f4b0769c050cb69a1e587bd5fd4c06 0xa70c - libpeas-gtk-1.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17adcf - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a2d0e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x178d96 - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17a9a3 gtk_main_do_event libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x48e62 - libgdk-3.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:7aa01bce2603464d5b0d94a1ccf9aebc89e79bfc 0x27bdd main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=4
:SSH_AGENT_PID=1554
:HOSTNAME=maab01.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/martin/.gnupg/S.gpg-agent:1578:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=d90493b555f6339bd9ab6a1b0000000e-1339411907.836456-747635273
:IGNOREEOF=1
:GNOME_KEYRING_CONTROL=/run/user/martin/keyring-kqxp2h
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=martin
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-INnDesjW1422/agent.1422
:USERNAME=martin
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/martin
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/martin/.local/bin:/home/martin/bin
:QT_IM_MODULE=xim
:PWD=/home/martin
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1420
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/martin
:XDG_SEAT=seat0
:LOGNAME=martin
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-koCUtFAgSN,guid=e9fee9c69a068211e6ac2707000002f7
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/martin
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-martin-4PWk6R/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1587,unix/unix:/tmp/.ICE-unix/1587
:DISPLAY=:0.0

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 127718               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       127718               127718               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/martin/.xsession-errors
:2:/home/martin/.xsession-errors
:3:socket:[139309718]
:4:anon_inode:[eventfd]
:5:socket:[139312375]
:6:socket:[139307817]
:7:anon_inode:[eventfd]
:8:anon_inode:inotify
:9:socket:[139312380]
:10:anon_inode:[eventfd]
:11:/home/martin/.local/share/gvfs-metadata/root-5d70f675.log
:12:socket:[139312444]
:13:/home/martin/.local/share/gvfs-metadata/root
:14:anon_inode:[eventfd]
:15:/dev/urandom
:16:anon_inode:[eventfd]
:17:socket:[351769744]
:18:socket:[268522306]
:19:/tmp/ffiWLZL5W (deleted)

var_log_messages:
:Jun 20 15:35:02 maab01 yum[18618]: Installed: gedit-plugins-3.4.0-2.fc17.x86_64
:Jun 20 15:37:35 maab01 abrt: detected unhandled Python exception in 'gedit'
:Jun 20 15:37:45 maab01 kernel: [787548.820544] gedit[31489] trap int3 ip:300da4e851 sp:7fffb6fe0180 error:0
:Jun 20 15:37:46 maab01 abrt[18933]: Saved core dump of pid 31489 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-06-20-15:37:45-31489 (62132224 bytes)
Comment 1 Martin Abrahamsson 2012-06-27 09:02:39 EDT
Created attachment 594763 [details]
File: dso_list
Comment 2 Martin Abrahamsson 2012-06-27 09:02:41 EDT
Created attachment 594764 [details]
File: build_ids
Comment 3 Martin Abrahamsson 2012-06-27 09:02:43 EDT
Created attachment 594765 [details]
File: maps
Comment 4 Martin Abrahamsson 2012-06-27 09:02:46 EDT
Created attachment 594766 [details]
File: backtrace
Comment 5 Pedro Henrique Neves da Silva 2012-11-02 15:57:27 EDT
Using yum to install the gedit-colaborative pugin, without restarting gedit, I checked the colaborative plugin in the plugins tabs of gedit. Then, gedit was killed.

backtrace_rating: 4
Package: gedit-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Fedora End Of Life 2013-07-03 23:08:15 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 06:16:26 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.